using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models {
    [Table("area_commitment_attribute"), PrimaryKey("VNr", "AttrId")]
    public class AreaComAttr {
        [Column("vnr")]
        public int VNr { get; set; }

        [Column("attrid")]
        public string AttrId { get; set; }

        [ForeignKey("VNr")]
        public virtual AreaCom AreaCom { get; private set; }

        [ForeignKey("AttrId")]
        public virtual WineAttr WineAttr { get; private set; }
    }
}
