using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models {
    [Table("wb_rd"), PrimaryKey("KgNr", "RdNr")]
    public class WbRd {
        [Column("kgnr")]
        public int KgNr { get; set; }

        [Column("rdnr")]
        public int RdNr { get; set; }
        
        [Column("name")]
        public string Name { get; set; }

        [ForeignKey("KgNr")]
        public virtual WbKg WbKg { get; private set; }
    }
}
